Index: /palm/trunk/SOURCE/init_pegrid.f90
===================================================================
--- /palm/trunk/SOURCE/init_pegrid.f90	(revision 4647)
+++ /palm/trunk/SOURCE/init_pegrid.f90	(revision 4648)
@@ -1352,51 +1287,51 @@
 
               CASE ( 1 )
-                 ALLOCATE( wall_flags_1(nzb:nzt_mg(i)+1,         &
-                                        nys_mg(i)-1:nyn_mg(i)+1, &
+                 ALLOCATE( wall_flags_1(nzb:nzt_mg(i)+1,                                           &
+                                        nys_mg(i)-1:nyn_mg(i)+1,                                   &
                                         nxl_mg(i)-1:nxr_mg(i)+1) )
 
               CASE ( 2 )
-                 ALLOCATE( wall_flags_2(nzb:nzt_mg(i)+1,         &
-                                        nys_mg(i)-1:nyn_mg(i)+1, &
+                 ALLOCATE( wall_flags_2(nzb:nzt_mg(i)+1,                                           &
+                                        nys_mg(i)-1:nyn_mg(i)+1,                                   &
                                         nxl_mg(i)-1:nxr_mg(i)+1) )
 
               CASE ( 3 )
-                 ALLOCATE( wall_flags_3(nzb:nzt_mg(i)+1,         &
-                                        nys_mg(i)-1:nyn_mg(i)+1, &
+                 ALLOCATE( wall_flags_3(nzb:nzt_mg(i)+1,                                           &
+                                        nys_mg(i)-1:nyn_mg(i)+1,                                   &
                                         nxl_mg(i)-1:nxr_mg(i)+1) )
 
               CASE ( 4 )
-                 ALLOCATE( wall_flags_4(nzb:nzt_mg(i)+1,         &
-                                        nys_mg(i)-1:nyn_mg(i)+1, &
+                 ALLOCATE( wall_flags_4(nzb:nzt_mg(i)+1,                                           &
+                                        nys_mg(i)-1:nyn_mg(i)+1,                                   &
                                         nxl_mg(i)-1:nxr_mg(i)+1) )
 
               CASE ( 5 )
-                 ALLOCATE( wall_flags_5(nzb:nzt_mg(i)+1,         &
-                                        nys_mg(i)-1:nyn_mg(i)+1, &
+                 ALLOCATE( wall_flags_5(nzb:nzt_mg(i)+1,                                           &
+                                        nys_mg(i)-1:nyn_mg(i)+1,                                   &
                                         nxl_mg(i)-1:nxr_mg(i)+1) )
 
               CASE ( 6 )
-                 ALLOCATE( wall_flags_6(nzb:nzt_mg(i)+1,         &
-                                        nys_mg(i)-1:nyn_mg(i)+1, &
+                 ALLOCATE( wall_flags_6(nzb:nzt_mg(i)+1,                                           &
+                                        nys_mg(i)-1:nyn_mg(i)+1,                                   &
                                         nxl_mg(i)-1:nxr_mg(i)+1) )
 
               CASE ( 7 )
-                 ALLOCATE( wall_flags_7(nzb:nzt_mg(i)+1,         &
-                                        nys_mg(i)-1:nyn_mg(i)+1, &
+                 ALLOCATE( wall_flags_7(nzb:nzt_mg(i)+1,                                           &
+                                        nys_mg(i)-1:nyn_mg(i)+1,                                   &
                                         nxl_mg(i)-1:nxr_mg(i)+1) )
 
               CASE ( 8 )
-                 ALLOCATE( wall_flags_8(nzb:nzt_mg(i)+1,         &
-                                        nys_mg(i)-1:nyn_mg(i)+1, &
+                 ALLOCATE( wall_flags_8(nzb:nzt_mg(i)+1,                                           &
+                                        nys_mg(i)-1:nyn_mg(i)+1,                                   &
                                         nxl_mg(i)-1:nxr_mg(i)+1) )
 
               CASE ( 9 )
-                 ALLOCATE( wall_flags_9(nzb:nzt_mg(i)+1,         &
-                                        nys_mg(i)-1:nyn_mg(i)+1, &
+                 ALLOCATE( wall_flags_9(nzb:nzt_mg(i)+1,                                           &
+                                        nys_mg(i)-1:nyn_mg(i)+1,                                   &
                                         nxl_mg(i)-1:nxr_mg(i)+1) )
 
               CASE ( 10 )
-                 ALLOCATE( wall_flags_10(nzb:nzt_mg(i)+1,        &
-                                        nys_mg(i)-1:nyn_mg(i)+1, &
+                 ALLOCATE( wall_flags_10(nzb:nzt_mg(i)+1,                                          &
+                                        nys_mg(i)-1:nyn_mg(i)+1,                                   &
                                         nxl_mg(i)-1:nxr_mg(i)+1) )
 
Index: /palm/trunk/SOURCE/init_pt_anomaly.f90
===================================================================
--- /palm/trunk/SOURCE/init_pt_anomaly.f90	(revision 4647)
+++ /palm/trunk/SOURCE/init_pt_anomaly.f90	(revision 4648)
@@ -1,40 +1,42 @@
 !> @file init_pt_anomaly.f90
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! This file is part of the PALM model system.
 !
-! PALM is free software: you can redistribute it and/or modify it under the
-! terms of the GNU General Public License as published by the Free Software
-! Foundation, either version 3 of the License, or (at your option) any later
-! version.
+! PALM is free software: you can redistribute it and/or modify it under the terms of the GNU General
+! Public License as published by the Free Software Foundation, either version 3 of the License, or
+! (at your option) any later version.
 !
-! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
-! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
+! PALM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
+! implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+! Public License for more details.
 !
-! You should have received a copy of the GNU General Public License along with
-! PALM. If not, see <http://www.gnu.org/licenses/>.
+! You should have received a copy of the GNU General Public License along with PALM. If not, see
+! <http://www.gnu.org/licenses/>.
 !
 ! Copyright 1997-2020 Leibniz Universitaet Hannover
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 !
 ! Current revisions:
 ! -----------------
-! 
-! 
+!
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+! file re-formatted to follow the PALM coding standard
+!
+! 4457 2020-03-11 14:20:43Z raasch
 ! use statement for exchange horiz added
-! 
+!
 ! 4360 2020-01-07 11:25:50Z suehring
-! Introduction of wall_flags_total_0, which currently sets bits based on static
-! topography information used in wall_flags_static_0
-! 
+! Introduction of wall_flags_total_0, which currently sets bits based on static topography
+! information used in wall_flags_static_0
+!
 ! 4329 2019-12-10 15:46:36Z motisi
 ! Renamed wall_flags_0 to wall_flags_static_0
-! 
+!
 ! 4182 2019-08-22 15:20:23Z scharf
 ! Corrected "Former revisions" section
-! 
+!
 ! 3655 2019-01-07 16:51:22Z knoop
 ! Added topography flags
@@ -47,20 +49,20 @@
 ! ------------
 !> Impose a temperature perturbation for an advection test.
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE init_pt_anomaly
 
 
-    USE arrays_3d,                                                             &
+    USE arrays_3d,                                                                                 &
         ONLY:  pt, zu
 
     USE control_parameters
 
-    USE exchange_horiz_mod,                                                    &
+    USE exchange_horiz_mod,                                                                        &
         ONLY:  exchange_horiz
 
-    USE grid_variables,                                                        &
+    USE grid_variables,                                                                            &
         ONLY:  dx, dy
 
-    USE indices,                                                               &
+    USE indices,                                                                                   &
         ONLY:  nbgp, nx, nxl, nxr, ny, nyn, nys, nzb, nzt, wall_flags_total_0
 
@@ -70,5 +72,5 @@
 
     INTEGER(iwp) ::  i  !< grid index along x
-    INTEGER(iwp) ::  ic !< center index along x 
+    INTEGER(iwp) ::  ic !< center index along x
     INTEGER(iwp) ::  j  !< grid index along y
     INTEGER(iwp) ::  jc !< center index along y
@@ -125,6 +127,5 @@
 
 !
-!-- Initialize warm air bubble close to surface and homogenous elegonated 
-!-- along x-Axis
+!-- Initialize warm air bubble close to surface and homogenous elegonated along x-Axis
     ELSEIF ( INDEX( initializing_actions, 'initialize_bubble' ) /= 0 )  THEN
 !
@@ -141,9 +142,7 @@
                 flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 0 ) )
 
-                pt(k,j,i) = pt(k,j,i) +                                        &
-                               EXP( -0.5 * ( (j* dy  - bubble_center_y) /      &
-                                                       bubble_sigma_y )**2) *  &
-                               EXP( -0.5 * ( (zu(k)  - bubble_center_z) /      &
-                                                       bubble_sigma_z)**2) *   &
+                pt(k,j,i) = pt(k,j,i) +                                                            &
+                               EXP( -0.5 * ( (j* dy - bubble_center_y) / bubble_sigma_y )**2) *    &
+                               EXP( -0.5 * ( (zu(k) - bubble_center_z) / bubble_sigma_z)**2)  *    &
                                initial_temperature_difference * flag
              ENDDO
Index: /palm/trunk/SOURCE/init_rankine.f90
===================================================================
--- /palm/trunk/SOURCE/init_rankine.f90	(revision 4647)
+++ /palm/trunk/SOURCE/init_rankine.f90	(revision 4648)
@@ -1,33 +1,35 @@
 !> @file init_rankine.f90
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! This file is part of the PALM model system.
 !
-! PALM is free software: you can redistribute it and/or modify it under the
-! terms of the GNU General Public License as published by the Free Software
-! Foundation, either version 3 of the License, or (at your option) any later
-! version.
-!
-! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
-! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
-!
-! You should have received a copy of the GNU General Public License along with
-! PALM. If not, see <http://www.gnu.org/licenses/>.
+! PALM is free software: you can redistribute it and/or modify it under the terms of the GNU General
+! Public License as published by the Free Software Foundation, either version 3 of the License, or
+! (at your option) any later version.
+!
+! PALM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
+! implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+! Public License for more details.
+!
+! You should have received a copy of the GNU General Public License along with PALM. If not, see
+! <http://www.gnu.org/licenses/>.
 !
 ! Copyright 1997-2020 Leibniz Universitaet Hannover
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 !
 ! Current revisions:
 ! -----------------
-! 
-! 
+!
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+! file re-formatted to follow the PALM coding standard
+!
+! 4457 2020-03-11 14:20:43Z raasch
 ! use statement for exchange horiz added
-! 
+!
 ! 4360 2020-01-07 11:25:50Z suehring
 ! Corrected "Former revisions" section
-! 
+!
 ! 3655 2019-01-07 16:51:22Z knoop
 ! Modularization of all bulk cloud physics code components
@@ -39,28 +41,28 @@
 ! Description:
 ! ------------
-!> Initialize a (nondivergent) Rankine eddy with a vertical axis in order to test 
-!> the advection terms and the pressure solver.
-!------------------------------------------------------------------------------!
+!> Initialize a (nondivergent) Rankine eddy with a vertical axis in order to test the advection
+!> terms and the pressure solver.
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE init_rankine
- 
-
-    USE arrays_3d,                                                             &
+
+
+    USE arrays_3d,                                                                                 &
         ONLY:  pt, pt_init, u, u_init, v, v_init
 
-    USE control_parameters,                                                    &
-        ONLY:  initializing_actions, n_sor, nsor, nsor_ini   
-
-    USE basic_constants_and_equations_mod,                                     &
+    USE control_parameters,                                                                        &
+        ONLY:  initializing_actions, n_sor, nsor, nsor_ini
+
+    USE basic_constants_and_equations_mod,                                                         &
         ONLY:  pi
 
-    USE exchange_horiz_mod,                                                    &
+    USE exchange_horiz_mod,                                                                        &
         ONLY:  exchange_horiz
 
-    USE grid_variables,                                                        &
-        ONLY:  dx, dy 
-
-    USE indices,                                                               &
-        ONLY:  nbgp, nx, nxl, nxlg, nxr, nxrg, nyn, nyng, nys, nysg, nzb, nzt     
-                
+    USE grid_variables,                                                                            &
+        ONLY:  dx, dy
+
+    USE indices,                                                                                   &
+        ONLY:  nbgp, nx, nxl, nxlg, nxr, nxrg, nyn, nyng, nys, nysg, nzb, nzt
+
     USE kinds
 
@@ -74,5 +76,5 @@
     INTEGER(iwp) ::  kc1 !<
     INTEGER(iwp) ::  kc2 !<
-    
+
     REAL(wp)     ::  alpha  !<
     REAL(wp)     ::  betrag !<
Index: /palm/trunk/SOURCE/init_slope.f90
===================================================================
--- /palm/trunk/SOURCE/init_slope.f90	(revision 4647)
+++ /palm/trunk/SOURCE/init_slope.f90	(revision 4648)
@@ -1,30 +1,32 @@
 !> @file init_slope.f90
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! This file is part of the PALM model system.
 !
-! PALM is free software: you can redistribute it and/or modify it under the
-! terms of the GNU General Public License as published by the Free Software
-! Foundation, either version 3 of the License, or (at your option) any later
-! version.
+! PALM is free software: you can redistribute it and/or modify it under the terms of the GNU General
+! Public License as published by the Free Software Foundation, either version 3 of the License, or
+! (at your option) any later version.
 !
-! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
-! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
+! PALM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
+! implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+! Public License for more details.
 !
-! You should have received a copy of the GNU General Public License along with
-! PALM. If not, see <http://www.gnu.org/licenses/>.
+! You should have received a copy of the GNU General Public License along with PALM. If not, see
+! <http://www.gnu.org/licenses/>.
 !
 ! Copyright 1997-2020 Leibniz Universitaet Hannover
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 !
 ! Current revisions:
 ! -----------------
-! 
-! 
+!
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
+! file re-formatted to follow the PALM coding standard
+!
+! 4360 2020-01-07 11:25:50Z suehring
 ! Corrected "Former revisions" section
-! 
+!
 ! 3655 2019-01-07 16:51:22Z knoop
 ! Modularization of all bulk cloud physics code components
@@ -36,28 +38,27 @@
 ! Description:
 ! ------------
-!> Initialization of the temperature field and other variables used in case
-!> of a sloping surface.
+!> Initialization of the temperature field and other variables used in case of a sloping surface.
 !> @note when a sloping surface is used, only one constant temperature
 !>       gradient is allowed!
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE init_slope
- 
 
-    USE arrays_3d,                                                             &
+
+    USE arrays_3d,                                                                                 &
         ONLY:  pt, pt_init, pt_slope_ref, zu
-        
-    USE basic_constants_and_equations_mod,                                     &
+
+    USE basic_constants_and_equations_mod,                                                         &
         ONLY:  pi
-                    
-    USE control_parameters,                                                    &
-        ONLY:  alpha_surface, initializing_actions, pt_slope_offset,           &
-               pt_surface, pt_vertical_gradient, sin_alpha_surface
-        
-    USE grid_variables,                                                        &
+
+    USE control_parameters,                                                                        &
+        ONLY:  alpha_surface, initializing_actions, pt_slope_offset, pt_surface,                   &
+               pt_vertical_gradient, sin_alpha_surface
+
+    USE grid_variables,                                                                            &
         ONLY:  dx
-        
-    USE indices,                                                               &
+
+    USE indices,                                                                                   &
         ONLY:  ngp_2dh, nx, nxl, nxlg, nxr, nxrg, nyn, nyng, nys, nysg, nzb, nzt
-        
+
     USE kinds
 
@@ -70,10 +71,10 @@
     INTEGER(iwp) ::  j        !<
     INTEGER(iwp) ::  k        !<
-    
+
     REAL(wp)     ::  alpha    !<
     REAL(wp)     ::  height   !<
     REAL(wp)     ::  pt_value !<
     REAL(wp)     ::  radius   !<
-    
+
     REAL(wp), DIMENSION(:), ALLOCATABLE ::  pt_init_local !<
 
@@ -86,9 +87,7 @@
 
 !
-!--       Compute height of grid-point relative to lower left corner of
-!--       the total domain.
-!--       First compute the distance between the actual grid point and the
-!--       lower left corner as well as the angle between the line connecting
-!--       these points and the bottom of the model.
+!--       Compute height of grid-point relative to lower left corner of the total domain.
+!--       First compute the distance between the actual grid point and the lower left corner as well
+!--       as the angle between the line connecting these points and the bottom of the model.
           IF ( k /= nzb )  THEN
              radius = SQRT( ( i * dx )**2 + zu(k)**2 )
@@ -106,15 +105,13 @@
 !--       Compute temperatures in the rotated coordinate system
           alpha    = alpha + alpha_surface / 180.0_wp * pi
-          pt_value = pt_surface + radius * SIN( alpha ) * &
-                                  pt_vertical_gradient(1) / 100.0_wp
+          pt_value = pt_surface + radius * SIN( alpha ) * pt_vertical_gradient(1) / 100.0_wp
           pt_slope_ref(k,i) = pt_value
-       ENDDO                
+       ENDDO
     ENDDO
 
 !
-!-- Temperature difference between left and right boundary of the total domain,
-!-- used for the cyclic boundary in x-direction
-    pt_slope_offset = (nx+1) * dx * sin_alpha_surface * &
-                      pt_vertical_gradient(1) / 100.0_wp
+!-- Temperature difference between left and right boundary of the total domain, used for the cyclic
+!-- boundary in x-direction
+    pt_slope_offset = (nx+1) * dx * sin_alpha_surface * pt_vertical_gradient(1) / 100.0_wp
 
 
@@ -129,6 +126,6 @@
 
 !
-!--    Recompute the mean initial temperature profile (mean along x-direction of
-!--    the rotated coordinate system)
+!--    Recompute the mean initial temperature profile (mean along x-direction of the rotated
+!--    coordinate system)
        ALLOCATE( pt_init_local(nzb:nzt+1) )
        pt_init_local = 0.0_wp
@@ -143,6 +140,5 @@
 #if defined( __parallel )
        IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-       CALL MPI_ALLREDUCE( pt_init_local, pt_init, nzt+2-nzb, MPI_REAL, &
-                            MPI_SUM, comm2d, ierr )
+       CALL MPI_ALLREDUCE( pt_init_local, pt_init, nzt+2-nzb, MPI_REAL, MPI_SUM, comm2d, ierr )
 #else
        pt_init = pt_init_local
Index: /palm/trunk/SOURCE/init_vertical_profiles.f90
===================================================================
--- /palm/trunk/SOURCE/init_vertical_profiles.f90	(revision 4647)
+++ /palm/trunk/SOURCE/init_vertical_profiles.f90	(revision 4648)
@@ -1,32 +1,33 @@
 !> @file ocean_mod.f90
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! This file is part of the PALM model system.
 !
-! PALM is free software: you can redistribute it and/or modify it under the
-! terms of the GNU General Public License as published by the Free Software
-! Foundation, either version 3 of the License, or (at your option) any later
-! version.
+! PALM is free software: you can redistribute it and/or modify it under the terms of the GNU General
+! Public License as published by the Free Software Foundation, either version 3 of the License, or
+! (at your option) any later version.
 !
-! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
-! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
+! PALM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
+! implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+! Public License for more details.
 !
-! You should have received a copy of the GNU General Public License along with
-! PALM. If not, see <http://www.gnu.org/licenses/>.
+! You should have received a copy of the GNU General Public License along with PALM. If not, see
+! <http://www.gnu.org/licenses/>.
 !
 ! Copyright 2017-2020 Leibniz Universitaet Hannover
-!--------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 !
 ! Current revisions:
 ! -----------------
-! 
-! 
+!
+!
 ! Former revisions:
 ! -----------------
 ! $Id$
-! split from check_parameters as separate file to avoid circular dependency
-! with ocean_mod
+! file re-formatted to follow the PALM coding standard
 !
-! 
+! 4481 2020-03-31 18:55:54Z maronga
+! split from check_parameters as separate file to avoid circular dependency with ocean_mod
+!
+!
 !
 !
@@ -38,17 +39,17 @@
 ! ------------
 !> Inititalizes the vertical profiles of scalar quantities.
-!------------------------------------------------------------------------------!
- SUBROUTINE init_vertical_profiles( vertical_gradient_level_ind,               &
-                                    vertical_gradient_level,                   &
-                                    vertical_gradient, initial_profile,        &
+!--------------------------------------------------------------------------------------------------!
+ SUBROUTINE init_vertical_profiles( vertical_gradient_level_ind,                                   &
+                                    vertical_gradient_level,                                       &
+                                    vertical_gradient, initial_profile,                            &
                                     surface_value, bc_top_gradient )
 
-    USE arrays_3d,                                                             &
+    USE arrays_3d,                                                                                 &
         ONLY:  dzu, zu
 
-    USE control_parameters,                                                    &
+    USE control_parameters,                                                                        &
         ONLY:  ocean_mode
 
-    USE indices,                                                               &
+    USE indices,                                                                                   &
         ONLY:  nz, nzt
 
@@ -59,4 +60,5 @@
     INTEGER(iwp) ::  i  !< loop counter
     INTEGER(iwp) ::  k  !< loop counter
+
     INTEGER(iwp), DIMENSION(1:10) ::  vertical_gradient_level_ind  !< vertical grid indices for gradient levels
 
@@ -77,5 +79,5 @@
        DO  k = 1, nzt+1
           IF ( i < 11 )  THEN
-             IF ( vertical_gradient_level(i) < zu(k)  .AND.            &
+             IF ( vertical_gradient_level(i) < zu(k)  .AND.                                        &
                   vertical_gradient_level(i) >= 0.0_wp )  THEN
                 gradient = vertical_gradient(i) / 100.0_wp
@@ -103,10 +105,10 @@
 
 !
-!--    In ocean mode, profiles are constructed starting from the ocean surface,
-!--    which is at the top of the model domain
+!--    In ocean mode, profiles are constructed starting from the ocean surface, which is at the top
+!--    of the model domain
        vertical_gradient_level_ind(1) = nzt+1
        DO  k = nzt, 0, -1
           IF ( i < 11 )  THEN
-             IF ( vertical_gradient_level(i) > zu(k)  .AND.            &
+             IF ( vertical_gradient_level(i) > zu(k)  .AND.                                        &
                   vertical_gradient_level(i) <= 0.0_wp )  THEN
                 gradient = vertical_gradient(i) / 100.0_wp
@@ -119,8 +121,6 @@
                 initial_profile(k) = initial_profile(k+1) - dzu(k+1) * gradient
              ELSE
-                initial_profile(k)   = surface_value - 0.5_wp * dzu(k+1) *     &
-                                                       gradient
-                initial_profile(k+1) = surface_value + 0.5_wp * dzu(k+1) *     &
-                                                       gradient
+                initial_profile(k)   = surface_value - 0.5_wp * dzu(k+1) * gradient
+                initial_profile(k+1) = surface_value + 0.5_wp * dzu(k+1) * gradient
              ENDIF
           ELSE
@@ -143,6 +143,5 @@
 !
 !-- Store gradient at the top boundary for possible Neumann boundary condition
-    bc_top_gradient  = ( initial_profile(nzt+1) - initial_profile(nzt) ) /     &
-                       dzu(nzt+1)
+    bc_top_gradient  = ( initial_profile(nzt+1) - initial_profile(nzt) ) / dzu(nzt+1)
 
  END SUBROUTINE init_vertical_profiles
